MS12-047: Vulnerabilities in Windows Kernel-Mode Drivers Could Allow Elevation of Privilege (2718523)

High Nessus Plugin ID 59910


The remote Windows host is affected by multiple privilege escalation vulnerabilities.


The remote Windows host is affected by several vulnerabilities in the kernel-mode drivers that could allow elevation of privilege :

- Flaws in the way the Windows kernel-mode drivers handles specific keyboard layouts could be exploited to execute arbitrary code in kernel mode. (CVE-2012-1890)

- Windows kernel-mode drivers do not properly validate parameters when creating a hook procedure, which could be exploited to execute arbitrary code in kernel mode.


Microsoft has released a set of patches for Windows XP, 2003, Vista, 2008, 7, and 2008 R2.

See Also

Plugin Details

Severity: High

ID: 59910

File Name: smb_nt_ms12-047.nasl

Version: $Revision: 1.21 $

Type: local

Agent: windows

Published: 2012/07/11

Modified: 2017/07/26

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 7.2

Temporal Score: 5.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/07/10

Vulnerability Publication Date: 2012/07/10

Exploitable With

Core Impact

Reference Information

CVE: CVE-2012-1890, CVE-2012-1893

BID: 54285, 54302

OSVDB: 83658, 83659

MSFT: MS12-047

MSKB: 2718523